curl --request POST \
--url https://api.dumgum.com/cs/v1/content_creation/conversations/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userProfile": {
"id": "<string>",
"gender": "WOMAN",
"version": "2025-01-01T12:34:20Z",
"firstName": "<string>",
"nickname": "<string>",
"description": "<string>",
"birthdate": "1990-05-14",
"countryCode": "FR",
"city": "<string>",
"postalCode": "<string>",
"timeZone": "Europe/Paris",
"features": {
"ethnicity": "ASIAN",
"height": 123,
"weight": 123,
"eyesColor": "BLACK",
"hairColor": "BLACK",
"hairLength": "AVERAGE",
"maritalStatus": "SINGLE",
"job": "<string>",
"interests": [
"TAILORING"
],
"bdsmInterests": [
"BDSM_BLOOD_PLAY"
],
"sexualInterests": [
"ANAL"
],
"lookingFor": [
"MAN"
],
"sexualOrientation": "HETEROSEXUAL",
"childrenCount": 123,
"wantsChildren": "YES",
"surgeryStatus": "UNKNOWN",
"unitSystem": "METRIC",
"livingWith": "ALONE"
},
"personality": "SUPPORTIVE",
"mainPictureUrl": "https://example.org/images/public.jpg",
"pictures": [
"https://example.org/images/public.jpg"
],
"privatePictures": [
"https://example.org/images/private.jpg"
],
"expiresAt": "2025-01-01T12:34:20Z",
"children": [
{
"name": "<string>",
"gender": "WOMAN",
"age": 123
}
],
"pets": [
{
"name": "<string>",
"sex": "MALE",
"age": 123,
"breed": "<string>",
"type": "<string>"
}
]
},
"personaProfile": {
"id": "<string>",
"gender": "WOMAN",
"version": "2025-01-01T12:34:20Z",
"firstName": "<string>",
"nickname": "<string>",
"description": "<string>",
"birthdate": "1990-05-14",
"countryCode": "FR",
"city": "<string>",
"postalCode": "<string>",
"timeZone": "Europe/Paris",
"features": {
"ethnicity": "ASIAN",
"height": 123,
"weight": 123,
"eyesColor": "BLACK",
"hairColor": "BLACK",
"hairLength": "AVERAGE",
"maritalStatus": "SINGLE",
"job": "<string>",
"interests": [
"TAILORING"
],
"bdsmInterests": [
"BDSM_BLOOD_PLAY"
],
"sexualInterests": [
"ANAL"
],
"lookingFor": [
"MAN"
],
"sexualOrientation": "HETEROSEXUAL",
"childrenCount": 123,
"wantsChildren": "YES",
"surgeryStatus": "UNKNOWN",
"unitSystem": "METRIC",
"livingWith": "ALONE"
},
"personality": "SUPPORTIVE",
"mainPictureUrl": "https://example.org/images/public.jpg",
"pictures": [
"https://example.org/images/public.jpg"
],
"privatePictures": [
"https://example.org/images/private.jpg"
],
"expiresAt": "2025-01-01T12:34:20Z",
"children": [
{
"name": "<string>",
"gender": "WOMAN",
"age": 123
}
],
"pets": [
{
"name": "<string>",
"sex": "MALE",
"age": 123,
"breed": "<string>",
"type": "<string>"
}
]
},
"language": "EN",
"messages": [
{
"id": "<string>",
"sender": "USER",
"date": "2023-04-25T10:00:00Z",
"pictureUrls": [
"<string>"
],
"poke": true,
"gifts": [
{
"name": "<string>",
"tier": "LOW"
}
],
"text": "<string>"
}
],
"additionalLanguages": [
"EN"
],
"tags": {},
"replyParameters": {
"chatModel": "dating-smart-1",
"bufferSeconds": "5",
"maxProcessingTimeSeconds": "300",
"enableSexualTextContent": null,
"fixedResponseLength": false,
"sentenceLength": null,
"messageLength": null,
"personaPersonality": null,
"generatePersonality": null,
"shareablePictures": [
{
"id": "<string>",
"url": "<string>",
"caption": "<string>"
}
],
"profileDistance": 123,
"emojis": "FREQUENT",
"fluencyDegradation": null,
"multipleMessagesPerReply": false,
"multipleMessagesPerReplyFrequency": null,
"questionFrequency": 0.5,
"replyTypingDelay": "INSTANT",
"icebreakerType": null,
"engage": null,
"disableSafetyFeatures": true,
"guardrails": {
"maliciousContent": false,
"maliciousContentOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"aiSuspicion": true,
"aiSuspicionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"underageDetection": true,
"underageDetectionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"unknownLanguage": false,
"unknownLanguageOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"messageRepetition": true,
"messageRepetitionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"prohibitedIllegalContent": false,
"prohibitedIllegalContentOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"dangerousDrugUse": false,
"dangerousDrugUseOptionSet": {
"answer": true,
"banDurations": [
123
]
}
},
"preventAggressiveTone": true,
"personaProfileOverrides": {
"sexualDrive": "VERY_HIGH"
},
"vision": {
"userProfilePictureAnalysis": false,
"personaProfilePictureAnalysis": false,
"sharedPicturesAnalysis": false,
"shareablePicturesAnalysis": true
},
"action": {
"type": "PAUSE_CONVERSATION",
"pauseConversation": {
"duration": 21600
}
},
"postProcessing": {
"greekRewrite": false
},
"meetingPolicy": null
}
}
'{
"answers": [
{
"id": "answer_XXXXXXXXXXXXXXXXXX",
"userProfileId": "<string>",
"personaProfileId": "<string>",
"type": "TEXT",
"tags": {},
"cost": "<string>",
"responseTime": 123,
"sequenceNumber": 123,
"createdAt": "2023-11-07T05:31:56Z",
"text": "Lorem ipsum dolor sit amet.",
"pictureUrl": null,
"conversationStopReason": null,
"conversationStoppedUntil": null,
"parentAnswerId": "<string>"
}
]
}Enqueue a conversation to be processed synchronously
curl --request POST \
--url https://api.dumgum.com/cs/v1/content_creation/conversations/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userProfile": {
"id": "<string>",
"gender": "WOMAN",
"version": "2025-01-01T12:34:20Z",
"firstName": "<string>",
"nickname": "<string>",
"description": "<string>",
"birthdate": "1990-05-14",
"countryCode": "FR",
"city": "<string>",
"postalCode": "<string>",
"timeZone": "Europe/Paris",
"features": {
"ethnicity": "ASIAN",
"height": 123,
"weight": 123,
"eyesColor": "BLACK",
"hairColor": "BLACK",
"hairLength": "AVERAGE",
"maritalStatus": "SINGLE",
"job": "<string>",
"interests": [
"TAILORING"
],
"bdsmInterests": [
"BDSM_BLOOD_PLAY"
],
"sexualInterests": [
"ANAL"
],
"lookingFor": [
"MAN"
],
"sexualOrientation": "HETEROSEXUAL",
"childrenCount": 123,
"wantsChildren": "YES",
"surgeryStatus": "UNKNOWN",
"unitSystem": "METRIC",
"livingWith": "ALONE"
},
"personality": "SUPPORTIVE",
"mainPictureUrl": "https://example.org/images/public.jpg",
"pictures": [
"https://example.org/images/public.jpg"
],
"privatePictures": [
"https://example.org/images/private.jpg"
],
"expiresAt": "2025-01-01T12:34:20Z",
"children": [
{
"name": "<string>",
"gender": "WOMAN",
"age": 123
}
],
"pets": [
{
"name": "<string>",
"sex": "MALE",
"age": 123,
"breed": "<string>",
"type": "<string>"
}
]
},
"personaProfile": {
"id": "<string>",
"gender": "WOMAN",
"version": "2025-01-01T12:34:20Z",
"firstName": "<string>",
"nickname": "<string>",
"description": "<string>",
"birthdate": "1990-05-14",
"countryCode": "FR",
"city": "<string>",
"postalCode": "<string>",
"timeZone": "Europe/Paris",
"features": {
"ethnicity": "ASIAN",
"height": 123,
"weight": 123,
"eyesColor": "BLACK",
"hairColor": "BLACK",
"hairLength": "AVERAGE",
"maritalStatus": "SINGLE",
"job": "<string>",
"interests": [
"TAILORING"
],
"bdsmInterests": [
"BDSM_BLOOD_PLAY"
],
"sexualInterests": [
"ANAL"
],
"lookingFor": [
"MAN"
],
"sexualOrientation": "HETEROSEXUAL",
"childrenCount": 123,
"wantsChildren": "YES",
"surgeryStatus": "UNKNOWN",
"unitSystem": "METRIC",
"livingWith": "ALONE"
},
"personality": "SUPPORTIVE",
"mainPictureUrl": "https://example.org/images/public.jpg",
"pictures": [
"https://example.org/images/public.jpg"
],
"privatePictures": [
"https://example.org/images/private.jpg"
],
"expiresAt": "2025-01-01T12:34:20Z",
"children": [
{
"name": "<string>",
"gender": "WOMAN",
"age": 123
}
],
"pets": [
{
"name": "<string>",
"sex": "MALE",
"age": 123,
"breed": "<string>",
"type": "<string>"
}
]
},
"language": "EN",
"messages": [
{
"id": "<string>",
"sender": "USER",
"date": "2023-04-25T10:00:00Z",
"pictureUrls": [
"<string>"
],
"poke": true,
"gifts": [
{
"name": "<string>",
"tier": "LOW"
}
],
"text": "<string>"
}
],
"additionalLanguages": [
"EN"
],
"tags": {},
"replyParameters": {
"chatModel": "dating-smart-1",
"bufferSeconds": "5",
"maxProcessingTimeSeconds": "300",
"enableSexualTextContent": null,
"fixedResponseLength": false,
"sentenceLength": null,
"messageLength": null,
"personaPersonality": null,
"generatePersonality": null,
"shareablePictures": [
{
"id": "<string>",
"url": "<string>",
"caption": "<string>"
}
],
"profileDistance": 123,
"emojis": "FREQUENT",
"fluencyDegradation": null,
"multipleMessagesPerReply": false,
"multipleMessagesPerReplyFrequency": null,
"questionFrequency": 0.5,
"replyTypingDelay": "INSTANT",
"icebreakerType": null,
"engage": null,
"disableSafetyFeatures": true,
"guardrails": {
"maliciousContent": false,
"maliciousContentOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"aiSuspicion": true,
"aiSuspicionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"underageDetection": true,
"underageDetectionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"unknownLanguage": false,
"unknownLanguageOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"messageRepetition": true,
"messageRepetitionOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"prohibitedIllegalContent": false,
"prohibitedIllegalContentOptionSet": {
"answer": true,
"banDurations": [
123
]
},
"dangerousDrugUse": false,
"dangerousDrugUseOptionSet": {
"answer": true,
"banDurations": [
123
]
}
},
"preventAggressiveTone": true,
"personaProfileOverrides": {
"sexualDrive": "VERY_HIGH"
},
"vision": {
"userProfilePictureAnalysis": false,
"personaProfilePictureAnalysis": false,
"sharedPicturesAnalysis": false,
"shareablePicturesAnalysis": true
},
"action": {
"type": "PAUSE_CONVERSATION",
"pauseConversation": {
"duration": 21600
}
},
"postProcessing": {
"greekRewrite": false
},
"meetingPolicy": null
}
}
'{
"answers": [
{
"id": "answer_XXXXXXXXXXXXXXXXXX",
"userProfileId": "<string>",
"personaProfileId": "<string>",
"type": "TEXT",
"tags": {},
"cost": "<string>",
"responseTime": 123,
"sequenceNumber": 123,
"createdAt": "2023-11-07T05:31:56Z",
"text": "Lorem ipsum dolor sit amet.",
"pictureUrl": null,
"conversationStopReason": null,
"conversationStoppedUntil": null,
"parentAnswerId": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is an access key.
Example: Authorization: Bearer sk-proj-XXXXXXXXX
Represents a request to generate a response to a conversation
A user profile; this will represent the profile that will receive the generated reply.
Hide child attributes
The profile's ID (must be the same as the profileId parameter passed to the endpoint).
Gender of the profile owner.
WOMAN, MAN, TRANS_MAN, TRANSMASCULINE, TRANS_WOMAN, TRANSFEMININE An arbitrary string compared against the one stored in our profile database; any mismatch will trigger a profile data refresh. For example, you can use the latest update date as the version number.
"2025-01-01T12:34:20Z"
First name of the profile owner. You must provide either a first name or a nickname. At least one is required.
Nickname of the profile owner. You must provide either a first name or a nickname. At least one is required.
Description of the profile.
Birthdate of the profile owner, formatted as yyyy-MM-dd.
"1990-05-14"
Country code of the profile owner. Must be a two-letter ISO 3166-1 alpha-2 code.
2"FR"
City of the profile owner. You must provide a country code for this parameter to be used by our system. If no country code is provided, the city will be ignored.
64Postal code of the profile owner. You must provide a country code for this parameter to be used by our system. If no country code is provided, the postal code will be ignored.
64Time zone of the profile owner. See our supported time zones list.
"Europe/Paris"
Features of the profile.
Hide child attributes
The ethnicity of the profile. Default is null.
ASIAN, BLACK, CAUCASIAN, MIDDLE_EAST, HISPANIC_LATINO, INDIAN, MEDITERRANEAN, OTHER, UNCERTAIN Height in metric by default (cm). Set unitSystem to IMPERIAL for inches.
Weight in metric by default (kg). Set unitSystem to IMPERIAL for pounds.
The color of the eyes. Default is null.
BLACK, BLUE_GREY, BLUE, BROWN, GREEN_BLUE, GREEN, GREY, OTHER, UNKNOWN The color of the hair. Default is null.
BLACK, BLOND, BROWN, DARK_BLOND, GREY, RED, WHITE, OTHER, UNKNOWN The length of the hair. Default is null.
AVERAGE, BALD, HALF_LONG, LONG, SHORT, VERY_LONG, VERY_SHORT The marital status of the profile. Default is null.
SINGLE, SEPARATED, IN_RELATIONSHIP, MARRIED, DIVORCED, WIDOW The job of the profile. Default is null.
32The interests of the profile. Default is an empty array.
TAILORING, BOOK_READING, TRAVELING, COOKING, GARDENING, PHOTOGRAPHY, PAINTING, MUSIC, MOVIES, CYCLING, HIKING, FITNESS, GAMING, DANCING, YOGA, SOFTWARE_DEVELOPMENT, DIY_PROJECTS, WRITING, LANGUAGES, ASTRONOMY, VOLUNTEERING, FISHING, BIRD_WATCHING, SPORTS, EDUCATION, ECONOMY, FOOD_DRINKING, CULINARY, TECHNOLOGY, MEDICAL, NATURE, CULTURE, ART The BDSM interests of the profile. Default is an empty array.
BDSM_BLOOD_PLAY, BDSM_BONDAGE, BDSM_BREATH_PLAY, BDSM_BUTTOCKS, BDSM_DOMINATION, BDSM_EDGE_PLAY, BDSM_FIRE_PLAY, BDSM_FISTING, BDSM_FLOGGING, BDSM_GOLDEN_SHOWER, BDSM_HARD, BDSM_KINKSTER, BDSM_KNIFE_PLAY, BDSM_MASOCHIST, BDSM_NEEDLE_PLAY, BDSM_ORGASM_DENIAL, BDSM_PET_PLAY, BDSM_QUEENING_FACESITTING, BDSM_SADISM, BDSM_SOFT, BDSM_STRAP_ON_DILDO, BDSM_SUBMISSION, BDSM_SUSPENSION, BDSM_ZENTAI The sexual interests of the profile. Default is an empty array.
ANAL, VAGINAL, ORAL_GIVING, ORAL_RECEIVING, KISSING, CUDDLING, DOMINANCE, SUBMISSION, BDSM, ROLEPLAY, PUBLIC_SEX, GROUP_SEX, SWINGING, WATCHING, BEING_WATCHED, THREESOME, FOREPLAY, DIRTY_TALK, SENSUAL_MASSAGE, TOYS, LIGHT_BONDAGE, SPANKING, CHOKING, FEET, EXHIBITIONISM, VOYEURISM The profile looking for genders. Default is an empty array.
MAN, WOMAN The sexual orientation of the profile. Default is null.
HETEROSEXUAL, GAY, LESBIAN, BISEXUAL, ASEXUAL, DEMISEXUAL, PANSEXUAL, QUEER, QUESTIONING, AROMANTIC, OMNISEXUAL, OTHER The number of children the profile has. Default is null.
The preference for having children. Default is null.
YES, NO, MAYBE For Transgender profile only. The surgery status of the profile. Default is null.
UNKNOWN, PRE_OP, POST_OP, NON_OP, PREFER_NOT_TO_SAY The unit system used for the profile. Default is METRIC.
IMPERIAL, METRIC Describes the user's current living situation. Default is null if unspecified.
ALONE, KIDS, PARENTS, ROOMMATE, PARTNER, PARTNER_AND_KIDS Personality of the profile.
SUPPORTIVE, TEASING, CONFIDENT, GEEKY, POETIC, HIGH_ENERGY, INTELLECTUAL, ROMANTIC, SARCASTIC, POSSESSIVE, NATURAL, APPRECIATIVE, PASSIONNATE URL of the main picture. Must be HTTPS
"https://example.org/images/public.jpg"
List of public picture URLs. All URLs must be HTTPS
["https://example.org/images/public.jpg"]
List of private picture URLs. All URLs must be HTTPS
["https://example.org/images/private.jpg"]
An ISO-8601 formatted date. By default, set to one week after profile creation. Purges profile data when reached; fresh data is fetched on next use. Avoid setting durations shorter than 24 hours. Use the version parameter for user profile updates.
"2025-01-01T12:34:20Z"
List of children the profile has.
Hide child attributes
List of pets the profile has.
Hide child attributes
Name of the pet.
1 - 32Sex of the pet.
MALE, FEMALE Age of the pet.
Breed of the pet.
1 - 32Type of the pet.
1 - 32A persona profile; this will represent the profile that our operator will impersonate.
Hide child attributes
The profile's ID (must be the same as the profileId parameter passed to the endpoint).
Gender of the profile owner.
WOMAN, MAN, TRANS_MAN, TRANSMASCULINE, TRANS_WOMAN, TRANSFEMININE An arbitrary string compared against the one stored in our profile database; any mismatch will trigger a profile data refresh. For example, you can use the latest update date as the version number.
"2025-01-01T12:34:20Z"
First name of the profile owner. You must provide either a first name or a nickname. At least one is required.
Nickname of the profile owner. You must provide either a first name or a nickname. At least one is required.
Description of the profile.
Birthdate of the profile owner, formatted as yyyy-MM-dd.
"1990-05-14"
Country code of the profile owner. Must be a two-letter ISO 3166-1 alpha-2 code.
2"FR"
City of the profile owner. You must provide a country code for this parameter to be used by our system. If no country code is provided, the city will be ignored.
64Postal code of the profile owner. You must provide a country code for this parameter to be used by our system. If no country code is provided, the postal code will be ignored.
64Time zone of the profile owner. See our supported time zones list.
"Europe/Paris"
Features of the profile.
Hide child attributes
The ethnicity of the profile. Default is null.
ASIAN, BLACK, CAUCASIAN, MIDDLE_EAST, HISPANIC_LATINO, INDIAN, MEDITERRANEAN, OTHER, UNCERTAIN Height in metric by default (cm). Set unitSystem to IMPERIAL for inches.
Weight in metric by default (kg). Set unitSystem to IMPERIAL for pounds.
The color of the eyes. Default is null.
BLACK, BLUE_GREY, BLUE, BROWN, GREEN_BLUE, GREEN, GREY, OTHER, UNKNOWN The color of the hair. Default is null.
BLACK, BLOND, BROWN, DARK_BLOND, GREY, RED, WHITE, OTHER, UNKNOWN The length of the hair. Default is null.
AVERAGE, BALD, HALF_LONG, LONG, SHORT, VERY_LONG, VERY_SHORT The marital status of the profile. Default is null.
SINGLE, SEPARATED, IN_RELATIONSHIP, MARRIED, DIVORCED, WIDOW The job of the profile. Default is null.
32The interests of the profile. Default is an empty array.
TAILORING, BOOK_READING, TRAVELING, COOKING, GARDENING, PHOTOGRAPHY, PAINTING, MUSIC, MOVIES, CYCLING, HIKING, FITNESS, GAMING, DANCING, YOGA, SOFTWARE_DEVELOPMENT, DIY_PROJECTS, WRITING, LANGUAGES, ASTRONOMY, VOLUNTEERING, FISHING, BIRD_WATCHING, SPORTS, EDUCATION, ECONOMY, FOOD_DRINKING, CULINARY, TECHNOLOGY, MEDICAL, NATURE, CULTURE, ART The BDSM interests of the profile. Default is an empty array.
BDSM_BLOOD_PLAY, BDSM_BONDAGE, BDSM_BREATH_PLAY, BDSM_BUTTOCKS, BDSM_DOMINATION, BDSM_EDGE_PLAY, BDSM_FIRE_PLAY, BDSM_FISTING, BDSM_FLOGGING, BDSM_GOLDEN_SHOWER, BDSM_HARD, BDSM_KINKSTER, BDSM_KNIFE_PLAY, BDSM_MASOCHIST, BDSM_NEEDLE_PLAY, BDSM_ORGASM_DENIAL, BDSM_PET_PLAY, BDSM_QUEENING_FACESITTING, BDSM_SADISM, BDSM_SOFT, BDSM_STRAP_ON_DILDO, BDSM_SUBMISSION, BDSM_SUSPENSION, BDSM_ZENTAI The sexual interests of the profile. Default is an empty array.
ANAL, VAGINAL, ORAL_GIVING, ORAL_RECEIVING, KISSING, CUDDLING, DOMINANCE, SUBMISSION, BDSM, ROLEPLAY, PUBLIC_SEX, GROUP_SEX, SWINGING, WATCHING, BEING_WATCHED, THREESOME, FOREPLAY, DIRTY_TALK, SENSUAL_MASSAGE, TOYS, LIGHT_BONDAGE, SPANKING, CHOKING, FEET, EXHIBITIONISM, VOYEURISM The profile looking for genders. Default is an empty array.
MAN, WOMAN The sexual orientation of the profile. Default is null.
HETEROSEXUAL, GAY, LESBIAN, BISEXUAL, ASEXUAL, DEMISEXUAL, PANSEXUAL, QUEER, QUESTIONING, AROMANTIC, OMNISEXUAL, OTHER The number of children the profile has. Default is null.
The preference for having children. Default is null.
YES, NO, MAYBE For Transgender profile only. The surgery status of the profile. Default is null.
UNKNOWN, PRE_OP, POST_OP, NON_OP, PREFER_NOT_TO_SAY The unit system used for the profile. Default is METRIC.
IMPERIAL, METRIC Describes the user's current living situation. Default is null if unspecified.
ALONE, KIDS, PARENTS, ROOMMATE, PARTNER, PARTNER_AND_KIDS Personality of the profile.
SUPPORTIVE, TEASING, CONFIDENT, GEEKY, POETIC, HIGH_ENERGY, INTELLECTUAL, ROMANTIC, SARCASTIC, POSSESSIVE, NATURAL, APPRECIATIVE, PASSIONNATE URL of the main picture. Must be HTTPS
"https://example.org/images/public.jpg"
List of public picture URLs. All URLs must be HTTPS
["https://example.org/images/public.jpg"]
List of private picture URLs. All URLs must be HTTPS
["https://example.org/images/private.jpg"]
An ISO-8601 formatted date. By default, set to one week after profile creation. Purges profile data when reached; fresh data is fetched on next use. Avoid setting durations shorter than 24 hours. Use the version parameter for user profile updates.
"2025-01-01T12:34:20Z"
List of children the profile has.
Hide child attributes
List of pets the profile has.
Hide child attributes
Name of the pet.
1 - 32Sex of the pet.
MALE, FEMALE Age of the pet.
Breed of the pet.
1 - 32Type of the pet.
1 - 32The language used to generate the reply.
EN, EN_GB, FR, FR_BE, RO, NL, ES, DE, DE_CH, DE_AT, IT, ES_LATAM, BG, HE, JA, NL_BE, EN_AU, PT_PT, PT_BR, SV_SE, DA_DK, FI_FI, PL_PL, LT_LT, NB_NO, NN_NO, SL_SI, HU, HU_HU, CS_CZ, EL_GR, HR_HR, TR_TR, EN_IE, AF_ZA, ZU_ZA, LV_LV, SK_SK, GA_IE A list of message describing the history of the conversation
Hide child attributes
The unique identifier of the message. This is used by our system to deduplicate messages.
The sender of the message. Possible values are USER and PERSONA.
USER represents a user message ;PERSONA represents a message sent by a persona (the profile for which we are going to generate content).USER, PERSONA Message timestamp in ISO-8601 format.
"2023-04-25T10:00:00Z"
The URL of the image associated with the message. This will be analyzed if the vision is enabled for the current request.
^https?://.*Flag the message as a poke, our chat models will react to it.
Message's text content, can be null if the message does not contains text.
512A list of additional languages that can be used to generate the reply. Currently, we support only one additional language.
1EN, EN_GB, FR, FR_BE, RO, NL, ES, DE, DE_CH, DE_AT, IT, ES_LATAM, BG, HE, JA, NL_BE, EN_AU, PT_PT, PT_BR, SV_SE, DA_DK, FI_FI, PL_PL, LT_LT, NB_NO, NN_NO, SL_SI, HU, HU_HU, CS_CZ, EL_GR, HR_HR, TR_TR, EN_IE, AF_ZA, ZU_ZA, LV_LV, SK_SK, GA_IE A set of parameters that allow you to customize the reply you receive from us, enabling greater flexibility and control over the response format, content, and behavior.
Hide child attributes
Allows you to set the AI chat model to use for generating the reply.
If not specified, the default model will be used.
The default model is dating-smart-1.
🚨🚨🚨 IMPORTANT NOTE: the default model is subject to change at any time, if you want to stick with a specific model make sure to provide it explicitly.
dating-smart-1, dating-pro-1, chat-2-smart, chat-2-pro Allows you to set the AI buffer time (in seconds). This delay enables the AI to wait before generating a response, allowing it to accumulate more messages.
If not specified, defaults to 5 seconds.
0 <= x <= 180Allows you to set the maximum processing time (in seconds) for a reply.
If this time limit is exceeded, the conversation will be dropped, and
you will receive an conversation.dropped webhook event.
If not specified, defaults to 300 seconds.
WARNING: This value may occasionally be exceeded by several seconds due to various factors.
300 <= x <= 86400Allows our chat models to generate sexual text content.
If not specified, defaults to true.
Force our chat model to strictly respect aiSentenceLength and aiMessageLength parameters.
If not specified, defaults to false.
Allow you to specify the length of the sentences composing the response.
SHORT, REGULAR, LONG Allow you to specify the length of the response
SHORT, REGULAR, LONG, VERY_LONG Allow you to override the personality given to the persona
SUPPORTIVE, TEASING, CONFIDENT, GEEKY, POETIC, HIGH_ENERGY, INTELLECTUAL, ROMANTIC, SARCASTIC, POSSESSIVE, NATURAL, APPRECIATIVE, PASSIONNATE Automatically generate the personality of the persona profile (SoulEngine). This will incurs an additional cost to the reply.
A list of shareable picture objects that the persona is allowed to send when the user requests an image. Picture sharing is only supported on specific chat models:
| Chat Model | Picture Sharing Support |
|---|---|
chat-2-pro | ✅ Enabled |
chat-2-smart | ✅ Enabled |
dating-pro-1 | ❌ Not Supported |
dating-smart-1 | ❌ Not Supported |
Hide child attributes
1 - 1281 - 128A custom caption of the picture, this can be used to override the default caption generated by our AI.
1 - 100Distance between the persona profile and the user in kilometers or miles.
Allows our operator/chat models to add emojis to the reply.
| Emoji Frequency | Description |
|---|---|
FREQUENT | 50% at least 1 and maybe 1 more emoji if appropriate / 50% 1 if appropriate |
SOMETIMES | 75% 1 if appropriate / 25% no emoji |
RARELY | 75% no emoji / 25% 1 if appropriate |
NEVER | 100% no emoji |
FREQUENT, SOMETIMES, RARELY, NEVER Allows our chat model to degrade the text content generation quality to improve human-like response. Defaults to NONE or LOW randomly (50/50).
LOW, MEDIUM, HIGH, NONE Allows our AI to split a long response into multiple shorter messages. If not specified, defaults to false.
This provides a more natural conversation flow by breaking down lengthy responses.
Note that every message sent has its own answer.created event.
If multipleMessagesPerReply is activated, changes the chances to respond with multiple messages
VERY_FREQUENT, FREQUENT, OCCASIONAL, RARE Define the frequency of questions in the conversation.
This can be used to control the pace and engagement of the conversation.
The frequency control is best effort, and it may not always be perfectly accurate due to the nature of AI-generated responses.
Example: 0.5 will result in 50% of the messages being questions.
0 <= x <= 1Introduces a delay between the answer.processing and answer.created events to simulate human-like typing behavior. This can enhance user experience by making responses feel more natural. See the Notify Your End Users use case for implementation example.
INSTANT, FAST, NORMAL Specifies the type of icebreaker message to use when starting a conversation.
| Type | Description |
|---|---|
AUTO | Automatically selects appropriate ice-breaker type |
NO_PHOTO | Message about user having no photos |
MISSING_DETAIL | Message about incomplete profile details |
MUCH_YOUNGER | Message addressing significant age difference (user younger) |
MUCH_OLDER | Message addressing significant age difference (user older) |
NEARBY | Message highlighting close proximity |
GENERIC | General conversation starter |
USER_ONLINE | Message acknowledging user is currently online |
USER_OFFLINE | Message for offline users |
JUST_JOINED | Welcome message for new users |
EROTIC | The persona will initiate the conversation with a strongly erotic message |
PHOTO_COMMENT | The Persona will engage the conversation by commenting the User main picture |
Must be used with engage parameter set to AUTO or ICEBREAKER.
If PHOTO_COMMENT is used while the user doesn't have a main picture, the type will default to AUTO.
AUTO, NO_PHOTO, MISSING_DETAIL, MUCH_YOUNGER, MUCH_OLDER, NEARBY, GENERIC, USER_ONLINE, USER_OFFLINE, JUST_JOINED, EROTIC, PHOTO_COMMENT Manages engagement messages in conversations. By default, engagement messages are disabled.
Set to AUTO for context-based engagement type selection.
Note: Using specific values instead of AUTO will force that engagement type regardless of context.
| Value | Description |
|---|---|
AUTO | Selects best engagement type based on context |
ICEBREAKER | Sends an icebreaker message when starting a new conversation. You can specify icebreakerType parameter to force a specific type of icebreaker message. |
NUDGE | Sends re-engagement message after inactivity |
REVIVE | Sends messages to reactivate dormant conversations |
AUTO, ICEBREAKER, NUDGE, REVIVE Allows you to disable the Core Guardian security features for our chat models. You will be responsible for ensuring the content is safe for all users.
Allow you to select which features of the Core Guardian security are enable for our chat models.
Hide child attributes
Enable/Disable Malicious Content guardrail
Enable/Disable AI Suspicion guardrail
Enable/Disable Underage Detection guardrail
Enable/Disable Unknown Language guardrail
Enable/Disable Message Repetition guardrail
[Deprecated: Is not used and will be removed in the future] Enables Prohibited Illegal Content guardrail
This guardrail is deprecated and will be removed in the future.
[Deprecated: Is not used and will be removed in the future] Enables Dangerous Drug Use guardrail
This guardrail is deprecated and will be removed in the future.
If set to true, the AI will avoid using an aggressive or confrontational tone, even when the user is being rude, insulting, or hostile. It will remain calm, polite, and non-reactive in all situations, and will not retaliate or escalate the conversation.
Allows you to override a subset of persona profile attributes for the current request
Hide child attributes
This parameter adjusts the Persona’s sexual appetite and likelihood to engage in sexting.
| Value | Description |
|---|---|
NONE | The Persona will never send sexually explicit replies. |
LOW | The Persona will rarely initiate or respond to sexual topics, even if prompted. |
NORMAL | The Persona may engage in sexting if the conversation naturally leads there. |
HIGH | The Persona will respond positively and proactively to sexual cues from the User faster. |
VERY_HIGH | The Persona will initiate or escalate sexting as soon as the User shows any sexual intent. |
VERY_HIGH, HIGH, NORMAL, LOW, NONE Enable vision features that allow the AI to interpret, analyze, and understand images.
Vision capability by model:
| Model | Vision Support |
|---|---|
chat-2-pro | ✅ Enabled |
chat-2-smart | ✅ Enabled |
dating-pro-1 | ❌ Not Supported |
dating-smart-1 | ❌ Not Supported |
Hide child attributes
Enable user profile's picture analysis.
Enable persona profile's picture analysis.
Enable user's shared pictures analysis.
Enable persona's shareable pictures analysis, this will allows our chat model to understand each image it is sharing.
Available actions:
| Action | Description |
|---|---|
PAUSE_CONVERSATION | This feature requests the Persona to send a message indicating that they are temporarily pausing the conversation without specifying a timeline for resuming. This is useful if you disconnect your Personas or limit your Users' messages. Optionally, you can specify a pause duration to be respected on DumGum. During this period, our platform will not respond to any new User messages in the affected conversation. |
Hide child attributes
The type of the action.
PAUSE_CONVERSATION Optional pause conversation parameters.
Hide child attributes
Optional duration of the pause in seconds (maximum 12 hours). By default, the conversation will not be paused on DumGum side.
1 <= x <= 43200Allow you to customize the post-processing of the generated content. This can be used to replace specific characters or remove certain elements from the generated text.
Hide child attributes
Used for Greek answer generations. Replace ";" by "?" and accentuated characters by their non-accentuated equivalents.
Controls how the Persona handles requests from the user to meet in person. When null, defaults to DEFAULT_MODE.
| Value | Description |
|---|---|
DEFAULT_MODE | (default) Warm refusal using a plausible personal excuse. Uses stored long-term memory excuse if available. |
DEFERRED_MEETING | Expresses genuine desire to meet first, then softly refuses with a personal excuse, and ends on a hopeful note. |
CHAT_ONLY | Firm, warm redirect back to the conversation. No implied future possibility of meeting. No personal-life excuses. |
DEFAULT_MODE, DEFERRED_MEETING, CHAT_ONLY OK
Hide child attributes
Answer's unique id.
"answer_XXXXXXXXXXXXXXXXXX"
References the user profile id.
References the persona profile id.
Answer's type.
TEXT Answer's cost that has a precision of up to 4-digits represented as a string.
Format: 0.0000.
"0.025"
Answer's response time in seconds.
Answer's sequence number, will be greater than 0 when a reply contains multiple messages.
Answer's creation date. Format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX (iso-8601)
Answer's text.
"Lorem ipsum dolor sit amet."
Answer's attached picture url.
Answer's conversation stop reason. All ban periods are customizable and can be progressive. By default, progressive ban are 2 hours → 12 hours → 24 hours → 48 hours → Permanent
| Value | Description | Ban Period |
|---|---|---|
USER_UNDERAGE | Minor user detected (under 18 years old). | Permanent |
USER_SUSPICIOUS | User is trying to hijack the AI. | Permanent |
USER_MESSAGE_REPETITION | Suspicious behavior detected, user is repeating the same message. | Progressive |
UNKNOWN_LANGUAGE | Suspicious behavior detected, user is using an unknown language. | Progressive |
USER_HOSTILE | Hostile behaviour toward Persona detected. | Progressive |
AI_SUSPICION | The user suspects that the Persona is an AI. | Progressive |
USER_UNDERAGE, MALICIOUS_CONTENT, USER_SUSPICIOUS, USER_MESSAGE_REPETITION, UNKNOWN_LANGUAGE, USER_HOSTILE, AI_SUSPICIOUS, PAUSE_CONVERSATION Answer's conversation stopped until.
Answer's parent answer id.